<%@ Page Language="C#" AutoEventWireup="true" Title="Recently updated topics" CodeBehind="recenttopics.aspx.cs" Inherits="aspnetforum.recenttopics" MasterPageFile="AspNetForumMaster.Master" %>

<asp:Content ContentPlaceHolderID="ContentPlaceHolderHEAD" ID="AspNetForumHead" runat="server">
<link rel="alternate" type="application/rss+xml" title="recent posts" href="recenttopics.aspx?rss=1" />
</asp:Content>

<asp:Content ContentPlaceHolderID="AspNetForumContentPlaceHolder" ID="AspNetForumContent" runat="server">
	<div class="location">
	    <a href="recenttopics.aspx?rss=1" runat="server" id="rssLink" enableviewstate="false"><img alt="Recently updated topics - RSS" src="images/rss20.gif" style="float:right" /></a>
		<h2><a href="default.aspx">
			<%= aspnetforum.Resources.various.Home %></a>
		&raquo;
		<%= aspnetforum.Resources.various.RecentTopics %></h2>
	</div>
	<asp:repeater id="rptTopicsList" runat="server" EnableViewState="False">
		<HeaderTemplate>
			<table width="100%" cellpadding="14" class="roundedborder">
		</HeaderTemplate>
		<ItemTemplate>
			<tr <%# Container.ItemType == ListItemType.AlternatingItem ? " class='altItem'" : "" %>>
				<td align="center"><img src="images/topic.gif" alt="topic" id="imgTopic" runat="server" /></td>
				<td width="70%"><h2><a href='<%# aspnetforum.Utils.Various.GetTopicURL(Eval("TopicID"), Eval("Subject")) %>'>
							<%# Eval("Subject") %>
						</a>
					</h2>
				</td>
				<td width="30%" style="white-space:nowrap">
				    <%= aspnetforum.Resources.various.LatestPost %>
				    <br />
				    <%# aspnetforum.Utils.Message.GetMsgInfoByID(Eval("LastMessageID"), Eval("Subject"), Eval("RepliesCount") as int?, Cmd) %>
				</td>
			</tr>
		</ItemTemplate>
		<FooterTemplate>
			</table>
		</FooterTemplate>
	</asp:repeater>
	
	<div class="location">
		<h2><a href="default.aspx">
			<%= aspnetforum.Resources.various.Home %></a>
		&raquo;
		<%= aspnetforum.Resources.various.RecentTopics%></h2>
	</div>
</asp:Content>